Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
Argus::RGBTuple< T > Class Template Reference

RGBTuple template class. More...

`#include <Types.h>`

Inheritance diagram for Argus::RGBTuple< T >:

List of all members.

## Public Member Functions
| RGBTuple ()
| RGBTuple (const Tuple< RGB_CHANNEL_COUNT, T > &other)
| RGBTuple (T init)
| RGBTuple (T _r, T _g, T _b)
T & | r ()
const T & | r () const
T & | g ()
const T & | g () const
T & | b ()
const T & | b () const
Public Member Functions inherited from Argus::Tuple< RGB_CHANNEL_COUNT, T >
| Tuple ()
| Tuple (T init)
| Initialize every element of the tuple to a single value.
bool | operator== (const Tuple< N, T > &rhs) const
| Returns true when every element in the two tuples are identical.
bool | operator!= (const Tuple< N, T > &rhs) const
| Returns true if there are any differences between the two tuples.
Tuple< N, T > & | operator+= (const Tuple< N, T > &rhs)
| Adds every element of another tuple to the elements of this tuple.
Tuple< N, T > & | operator-= (const Tuple< N, T > &rhs)
| Subtracts every element of another tuple from the elements of this tuple.
Tuple< N, T > & | operator*= (const T &rhs)
| Multiplies every element in the tuple by a single value.
Tuple< N, T > & | operator/= (const T &rhs)
| Divides every element in the tuple by a single value.
const Tuple< N, T > | operator+ (const Tuple< N, T > &rhs) const
| Returns the result of adding another tuple to this tuple.
const Tuple< N, T > | operator- (const Tuple< N, T > &rhs) const
| Returns the result of subtracting another tuple from this tuple.
const Tuple< N, T > | operator* (const T &rhs) const
| Returns the result of multiplying this tuple by a single value.
const Tuple< N, T > | operator/ (const T &rhs) const
| Returns the result of dividing this tuple by a single value.
T & | operator[] (unsigned int i)
const T & | operator[] (unsigned int i) const

## Additional Inherited Members
Static Public Member Functions inherited from Argus::Tuple< RGB_CHANNEL_COUNT, T >
static unsigned int | tupleSize ()
| Returns the number of elements in the tuple.
Protected Attributes inherited from Argus::Tuple< RGB_CHANNEL_COUNT, T >
T | m_data [N]

## Detailed Description

### template<typename T>
class Argus::RGBTuple< T >

RGBTuple template class.

This is a Tuple specialization containing 3 elements corresponding to the RGB color channels: R, G, and B. Values can be accessed using the named methods or subscript indexing using the Argus::RGBChannel enum.

Definition at line 575 of file Types.h.

## Constructor & Destructor Documentation

template<typename T >

Argus::RGBTuple< T >::RGBTuple | ( |  | ) |
| inline

Definition at line 578 of file Types.h.

template<typename T >

Argus::RGBTuple< T >::RGBTuple | ( | const Tuple< RGB_CHANNEL_COUNT, T > & | other | ) |
| inline

Definition at line 579 of file Types.h.

template<typename T >

Argus::RGBTuple< T >::RGBTuple | ( | T | init | ) |
| inline

Definition at line 581 of file Types.h.

template<typename T >

Argus::RGBTuple< T >::RGBTuple | ( | T | _r,
|  | T | _g,
|  | T | _b
| ) |  |
| inline

Definition at line 586 of file Types.h.

## Member Function Documentation

template<typename T >

T& Argus::RGBTuple< T >::b | ( |  | ) |
| inline

Definition at line 597 of file Types.h.

template<typename T >

const T& Argus::RGBTuple< T >::b | ( |  | ) | const
| inline

Definition at line 598 of file Types.h.

template<typename T >

T& Argus::RGBTuple< T >::g | ( |  | ) |
| inline

Definition at line 595 of file Types.h.

template<typename T >

const T& Argus::RGBTuple< T >::g | ( |  | ) | const
| inline

Definition at line 596 of file Types.h.

template<typename T >

T& Argus::RGBTuple< T >::r | ( |  | ) |
| inline

Definition at line 593 of file Types.h.

template<typename T >

const T& Argus::RGBTuple< T >::r | ( |  | ) | const
| inline

Definition at line 594 of file Types.h.

The documentation for this class was generated from the following file:

- include/Argus/Types.h